# Plug-In Chips Mod
Adds various items from the NieR games into Risk of Rain 2!
Values for most of the items can be changed in the config editor to your own liking. 
Feedback/Suggestions are always appreciated; feel free to contact me in the Risk of Rain 2 modding discord server: @joseph#6783


# Items
**Deadly Heal**: Heals the player for 10% of their max hp when killing an enemy.

**Offensive Heal**: When the player hits an enemy, they heal for 20% of the attack's damage.

**Anti-Chain Damage**: When the player is hit by an enemy, they become invulnerable to all damage for 1.5 seconds.

**Shockwave**: Whenever the player uses their primary skill, fires a shockwave attack in that direction that deals 80% damage, and pierces enemies.

**Taunt-Up**: When the player strikes an enemy, the enemy is thrown into a rage, permanantely increasing speed, damage, and damage received.


# Equipment
**The Black Flower**: Has a 60% chance of increasing some stats. Has a 40% chance of spawning a doppelganger. Guaranteed doppelganger spawn on death.

**Lunar Tear**: Has a 70% chance of spawning in a doppelganger as an ally. Has a 30% chance of lowering some stats. Gives a buff to allies on death.


# To Do
- Add more items.
- Possibly porting mod over to thunderkit?


# Changelog
**Balance changes likely require you to delete the config to take effect** <br /> <br />
`0.9.2`<br />
- **Anti-Chain Damage**
	- Added a hidden, 5 second cooldown debuff onto monsters that hold this item due to unkillable scavengers.
- **Taunt-Up**
	- Fixed an issue where damaging yourself would apply the taunt buff/debuff to yourself (nice try).

`0.9.1`<br />
- **General**
	- Removed update section of readme
- **Anti-Chain Damage**
	- Fixed a bug where immune buff was not applying

`0.9.0`<br />
- **General**
	- Updated for support to Survivors of the Void DLC.
	- Updated dependency requirements accordingly.
- **The Black Flower**
	- Fixed an issue where the pickup description was incorrect.
- **Lunar Tear**
	- Fixed a mistake where the doppelganger ally spawn rate was actually 90%.

`0.8.0`<br />
- **General**
	- [Hopefully] fixed the elite incident causing an ungodly amount of explosions to spawn in.
	- Rebranded mod to NieR items, as most plug-in chip functions already exist in the game anyway.
	- Fixed an issue where game still showed old version numbers when loading in. (woops)
- **New Content**
	- Added The Black Flower lunar equipment
	- Added Lunar Tear lunar equipment

`0.3.0`<br />
- **Shockwave**
	- Fixed an issue where the full description was not displaying properly.
- **Taunt-Up**
	- Added Taunt-Up chip

`0.2.0` <br />
- **Shockwave**:
	- Added shockwave chip

`0.1.1`<br />  
- **Anti-Chain Damage**:
	- Fixed an issue where Anti-Chain Damage was not stacking past 2 stacks.
	- Increased base duration to 1.5 seconds (up from 1 second)
	- Decreased time increment per stack to .5 seconds (down from 1 second)
	- (I felt as though it was too weak with one, but too powerful with multiple stacks.)
- **Offensive Heal**:
	- Increased base healing to 20% (up from 10%)
	- (I think it needed this to really be worth the red-tier, seeing how deadly heal is green and is more effective early game.)  

`0.1.0`
- Release